Jim's installation notes

From GMOD
Revision as of 13:05, 15 March 2007 by JimHu (Talk | contribs)

Jump to: navigation, search

Back to Chado New Users

Installation on PPC mac

  • First do this on my G4 laptop. Then consider whether to install on the XServe.

Installation section of Getting Started describes how to get Chado from CVS. Note, when updating, be sure to be at the directory level just above schema. Getting Started refers to the INSTALL document

Prerequisites

PostgreSQL

Apache

Comes installed on OS X

BioPerl

BioPerl is currently not installed on my laptop, as I ran into the dreaded gd installation problems. Let's try again. Installing BioPerl on Unix applies to Mac OSX once the prereqs are done (I think). Some incomplete notes here from installing on the server. As I recall, this failed the last time I tried on my laptop. However, I think Matías Giovannini updated his Installation guide for gd since the last time I tried it. With the new instructions gd went smoothly. notes here.

GO perl

  • The url provided in the Chadon install document is not working for me. Contacted Mike Cherry, who provided an alternative url: http://171.65.76.113/latest-full/. Downloaded http://171.65.76.113/latest-full/go_200703-utilities-src.tar.gz (this URL will change with their next update, use the other to browse the available downloads from the GO consortium).
  • go_perl is only one module inside the utilities. From its install docs, there are more CPAN modules to install:
    • install GO::Parser
      got this warning:
      NOTICE: ** You do not have XML::Parser::PerlSAX installed **

      This module is not required for go-perl, but it is required if you wish to parse Obo-XML files. It is also required by the go-db-perl library for loading the GO Database.

      If you do not intend to use either Obo-XML or go-db-perl, then you may continue. Even if you do care about these, you may continue and install XML::Parser::PerlSAX at some future time.
    • I'm going to need the XML::Parser at some point, I suspect. I recall having problems with this during BioPerl installation. install XML::Parser::PerlSAX follows dependency to install XML::Parser, which complains about not having expat.
      • installing expat: get it from http://sourceforge.net/projects/expat/
      • install XML::Parser. Note that quitting and restarting CPAN helps if an installation already failed once.
      • install XML::Parser::PerlSAX
    • install GraphViz - also optional, but likely to be useful

Curiously, the install instructions suggest that this is all I need to do for go_perl. So despite downloading the tarball, all I needed was the CPAN installation??